From: <a href="/blend/av.cgi?id=339">jack</a><BR>
Date: 31 August 2009<P>

hmm clearly defined NO?
<HR>
From: <a href="/blend/av.cgi?id=1983">Edmundo D</a><BR>
Date: 31 August 2009<P>

chris, about <a href="/blend/wv.cgi?id=2009.08.29.02.03.2740">Incomplete</a>:<BR>
Love it.
<HR>
From: <a href="/blend/av.cgi?id=1983">Edmundo D</a><BR>
Date: 31 August 2009<P>

B.K., about <a href="/blend/wv.cgi?id=2009.08.29.21.52.24204"> (Power To The Rose Petal!)</a>:<BR>
That is very lovely, and makes me feel a bit like I am sitting on a rocket ship that I cannot really control.  Hmm.  thanks for the reminder of delicacy, which I am not and will never be.  I feel like I should permanently lock myself in a dungeon to keep my big male hands from potentially creating and hurting that idea.  But I guess that's not on option.  Thanks very lovely. 
<HR>
From: <a href="/blend/av.cgi?id=1983">Edmundo D</a><BR>
Date: 31 August 2009<P>

B.K., about <a href="/blend/wv.cgi?id=2009.08.29.21.52.24204"> (Power To The Rose Petal!)</a>:<BR>
I just realized that I may be making some unsubstantiated gender assumptions about your poem.  I will have live with my potential mistake.  thanks for sharing your lovely stuff.  Noticed that you are quite prolific too.  Hope to follow in your footsteps.  
<HR>